## dia 0.98+git20240130

=== meson_options.txt ===
option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference')
option('doc',
       type: 'boolean', value: true,
       description: 'Whether to generate the doc')
option('tests',
       type: 'boolean', value: false,
       description: 'Whether to compile unit tests')

## dia 0.97.1

=== debian/changelog ===
dia (0.97.1-7) unstable; urgency=low

  * Added patch from Heine Larsen <heine@skjulhoj.dk> to fix linewidth
    threshold for fig export (Closes: #590857)
  * debian/control: Standards-Version: 3.9.1

 -- Roland Stigge <stigge@antcom.de>  Sat, 31 Jul 2010 19:22:35 +0200

dia (0.97.1-6) unstable; urgency=low

  * Fixed FTBFS by adding Build-Depends: docbook-xml (Closes: #587128)

 -- Roland Stigge <stigge@antcom.de>  Wed, 23 Jun 2010 22:56:59 +0200

dia (0.97.1-5) unstable; urgency=low

  * Added icon images to HTML manual from docbook-xsl
  * Removed unnecessary absolute symlinks from HTML documentation

 -- Roland Stigge <stigge@antcom.de>  Tue, 22 Jun 2010 07:13:25 +0200

dia (0.97.1-4) unstable; urgency=low

  * Moved to new source format 3.0 (quilt)
  * Fixed Polish translation, thanks to Marcin 'iwi' Iwinski
    (Closes: #529895)
  * Added doc/custom-shapes to dia-common docs (Closes: #556868)
  * Build-Depends on GNU autotools and build generated files at build time
    (Closes: #558546)
  * Include dia's native built HTML documentation (make install-html)
    (Closes: #576585)
  * Enabled cairo plug-in

 -- Roland Stigge <stigge@antcom.de>  Sun, 20 Jun 2010 19:03:14 +0200

dia (0.97.1-3) unstable; urgency=low

  * Remove LOCALMODLIBS from Python config (Closes: #569695, #571271)

 -- Roland Stigge <stigge@antcom.de>  Sat, 08 May 2010 18:52:15 +0200

dia (0.97.1-2) unstable; urgency=low

  * Use generated man page now (instead of old one) (Closes: #572235)

 -- Roland Stigge <stigge@antcom.de>  Sat, 06 Mar 2010 20:00:35 +0100

dia (0.97.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.8.4
  * debian/rules: removed dh_desktop
  * debian/compat: 7

 -- Roland Stigge <stigge@antcom.de>  Sat, 30 Jan 2010 16:38:34 +0100

dia (0.97-2) unstable; urgency=low

  * debian/copyright: Corrected Copyright and GFDL notice (Closes: #520579)

 -- Roland Stigge <stigge@antcom.de>  Sat, 20 Jun 2009 16:27:06 +0200

dia (0.97-1) unstable; urgency=low

  * New upstream release (Closes: #532495)
  * debian/control:
    - Added Build-Depends: intltool
    - Standards-Version: 3.8.2
  * Fix doc/en/dia.xml and doc/pl/dia.xml validation errors thanks to Mehdi
    Dogguy (Closes: #516237)

 -- Roland Stigge <stigge@antcom.de>  Fri, 19 Jun 2009 10:17:24 +0200

dia (0.96.1-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Applying patch by James Vega to solve module import problem
    (Closes: #504251)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sat, 15 Nov 2008 22:11:35 +0100

dia (0.96.1-7) unstable; urgency=low

  * debian/control: Standards-Version: 3.8.0
  * Recompile for python 2.5 (Closes: #485574)
  * debian/dia-common.doc-base: Section: Graphics

 -- Roland Stigge <stigge@antcom.de>  Tue, 10 Jun 2008 11:32:13 +0200

dia (0.96.1-6) unstable; urgency=low

  * debian/control:
    - Removed libunicode-dev from Build-Depends (Closes: #455487)
    - Standards-Version: 3.7.2 -> 3.7.3
    - Removed dpatch from Build-Depends
    - Added Homepage field
  * debian/watch: New contents for version=3 file (Closes: #449646)

 -- Roland Stigge <stigge@antcom.de>  Wed, 19 Dec 2007 12:25:39 +0100

dia (0.96.1-5) unstable; urgency=low

  * debian/dia.menu: Improved section and longtitle (Closes: #445162)
  * plug-ins/python/gtkcons.py: Improve deprecated PyGtk calls
    (Closes: #443126)

 -- Roland Stigge <stigge@antcom.de>  Wed, 03 Oct 2007 20:05:02 +0200

dia (0.96.1-4) unstable; urgency=low

  * Adjusted menu and desktop files according to the new standards

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 Aug 2007 15:03:38 +0200

dia (0.96.1-3) unstable; urgency=low

  * debian/dia-gnome.postinst: Rise update-alternatives priority to 50 to
    reflect greater importance of dia's GNOME version if it is installed
  * dia.desktop.in.in: Execute dia instead of dia-gnome for XFCE etc. without
    dia-gnome
  * Moved dia.desktop to package dia-common to provide it also to package dia
    (Closes: #405542)
  * Renamed dia.desktop to dia-common.desktop to prevent conflicts on upgrades
    from <= sarge
  * Re-ran autoconf to reflect removal of --std=c89 from configure.in
    (Closes: #421644)
  * Removed empty /usr/share/doc/dia from dia-common (Closes: #418475)
  * Included dia-thumbnail.schemas (Closes: #413996)

 -- Roland Stigge <stigge@antcom.de>  Sat, 05 May 2007 19:44:10 +0200

dia (0.96.1-2) unstable; urgency=low

  * debian/dia.1: Documented option change --export-to-format to --filter
    (Closes: #408705)

 -- Roland Stigge <stigge@antcom.de>  Sun, 29 Apr 2007 17:48:28 +0200

dia (0.96.1-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU (Closes: #379151, #380772)
  * Removed /usr/var/scrollkeeper hierarchy (FHS)

 -- Roland Stigge <stigge@antcom.de>  Sun, 29 Apr 2007 15:25:52 +0200

dia (0.95.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update dia to the last python policy (Closes: 380772).
  * Make package binNMUable.

 -- Pierre Habouzit <madcoder@debian.org>  Mon,  4 Sep 2006 17:50:56 +0200

dia (0.95.0-4) unstable; urgency=low

  * Applied upstream format string fixes: CVE-2006-2453 and CVE-2006-2480
    (Closes: #368202)

 -- Roland Stigge <stigge@antcom.de>  Sun,  4 Jun 2006 15:29:05 +0200

dia (0.95.0-3) unstable; urgency=low

  * Applied upstream patch to fix crash on ungrouping (Closes: #366156)
  * debian/control: Standards-Version: 3.7.2

 -- Roland Stigge <stigge@antcom.de>  Mon, 15 May 2006 19:41:38 -0500

dia (0.95.0-2) unstable; urgency=low

  * configure.in: Removed --std=c89, re-ran autoconf (Closes: #364544)

 -- Roland Stigge <stigge@antcom.de>  Mon, 24 Apr 2006 23:21:22 +0200

dia (0.95.0-1) unstable; urgency=low

  * New upstream release
    - Fixes object deletion (Closes: #297971)
    - Fixes UML class sizing (Closes: #348669)
    - Fixes crash on clicking on 4-way arrow (Closes: #353402)
    - Fixes Danish UML translation (abstract) (Closes: #348903)


=== debian/control ===
Source: dia
Section: graphics
Priority: optional
Maintainer: Debian Dia Team <pkg-dia-team@lists.alioth.debian.org>
Uploaders: Roland Stigge <stigge@antcom.de>, Wolfgang Borgert <debacle@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), libgnome2-dev, libglib2.0-dev, libgtk2.0-dev, libxml2-dev, libpopt-dev, libpng12-dev, libart-2.0-dev, libfreetype6-dev, libpango1.0-dev, libgnomeui-dev, libxslt1-dev, python-dev, python-gtk2, xsltproc, libxml-parser-perl, python-support (>= 0.4), intltool, automake, autoconf, texlive-lang-cyrillic, libtool, docbook-xsl, docbook-xml
Build-Conflicts: autoconf2.13
Homepage: http://live.gnome.org/Dia

Package: dia-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2
Recommends: dia | dia-gnome, dia-libs
Replaces: dia (<= 0.86-1)
Conflicts: dia (<= 0.86-1)
Description: Diagram editor (common files)
 Dia is an editor for diagrams, graphs, charts etc. There is support for UML
 static structure diagrams (class diagrams), Entity-Relationship diagrams,
 network diagrams and much more. Diagrams can be exported to postscript and
 many other formats.
 .
 This package contains hardware independent files common to dia and dia-gnome

Package: dia-libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: dia | dia-gnome, dia-common
Replaces: dia (<= 0.86-1), dia-common (<= 0.92.2-3)
Conflicts: dia (<= 0.86-1), dia-common (<= 0.92.2-3)
Description: Diagram editor (library files)
 Dia is an editor for diagrams, graphs, charts etc. There is support for UML
 static structure diagrams (class diagrams), Entity-Relationship diagrams,
 network diagrams and much more. Diagrams can be exported to postscript and
 many other formats.
 .
 This package contains library files common to dia and dia-gnome

Package: dia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dia-common (=${source:Version}), dia-libs (=${binary:Version})
Recommends: gsfonts-x11
Description: Diagram editor
 Dia is an editor for diagrams, graphs, charts etc. There is support for UML
 static structure diagrams (class diagrams), Entity-Relationship diagrams,
 network diagrams and much more. Diagrams can be exported to postscript and
 many other formats.

Package: dia-gnome
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dia-common (=${source:Version}), dia-libs (=${binary:Version})
Recommends: gsfonts-x11
Section: gnome
Description: Diagram editor (GNOME version)
 Dia is an editor for diagrams, graphs, charts etc. There is support for UML
 static structure diagrams (class diagrams), Entity-Relationship diagrams,
 network diagrams and much more. Diagrams can be exported to postscript and
 many other formats.
 .
 This package contains the GNOME version of Dia.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=dia-common

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

export CFLAGS

LANGUAGES=en eu pl fr

configure-gnome: configure-gnome-stamp
configure-gnome-stamp:
	dh_testdir
	autoreconf -f
	./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--docdir=\$${prefix}/share/doc/$(PACKAGE) \
		--with-python \
		--with-cairo \
		--enable-gnome
	# temporary docbook-xsl source for referenced pngs
	ln -s /usr/share/xml/docbook/stylesheet/docbook-xsl doc/html
	touch configure-gnome-stamp

build-gnome: build-gnome-stamp
build-gnome-stamp: configure-gnome-stamp
	dh_testdir
	$(MAKE)
	mv app/.libs/dia app/dia-gnome
	touch build-gnome-stamp

configure-nognome: configure-nognome-stamp
configure-nognome-stamp: build-gnome-stamp
	dh_testdir
	autoreconf -f
	./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--docdir=\$${prefix}/share/doc/$(PACKAGE) \
		--with-python \
		--with-cairo \
		--with-hardbooks
	touch configure-nognome-stamp

build-nognome: build-nognome-stamp
build-nognome-stamp: configure-nognome-stamp
	dh_testdir
	$(MAKE)
	touch build-nognome-stamp

build-common: build-common-stamp
build-common-stamp: build-nognome-stamp
	dh_testdir
	touch build-common-stamp

build: build-stamp
build-stamp: build-common-stamp

clean: clean-patched
clean-patched:
	dh_testdir
	dh_testroot
	rm -f configure*-stamp build*-stamp install-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f app/dia-gnome
	-rm -f po/.intltool-merge-cachemake

	# temporary docbook-xsl source for referenced pngs
	-rm -f doc/html

	-find . -name 'Makefile.in' | xargs rm -f
	-rm -f configure config.h.in aclocal.m4

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)
	$(MAKE) -C doc install-html DESTDIR=$(CURDIR)/debian/$(PACKAGE)

	for i in $(LANGUAGES) ; do \
		rm $(CURDIR)/debian/$(PACKAGE)/usr/share/doc/dia-common/html/$$i/$$i ;\
	done
	
	mv debian/$(PACKAGE)/usr/bin/dia debian/$(PACKAGE)/usr/bin/dia-normal

	mv debian/$(PACKAGE)/usr/share/man/man1/dia.1 debian/$(PACKAGE)/usr/share/man/man1/dia-normal.1
	cp debian/$(PACKAGE)/usr/share/man/man1/dia-normal.1 debian/$(PACKAGE)/usr/share/man/man1/dia-gnome.1

	# for now, take thumbnails schema from debian dir until upstream includes it
	install -D -m 644 debian/dia-thumbnailer.schemas \
	    debian/$(PACKAGE)/usr/share/gconf/schemas/dia-thumbnailer.schemas

	# rename desktop file on move from dia-gnome to dia-common to
	# prevent conflicts on upgrades from <= sarge
	mv debian/$(PACKAGE)/usr/share/applications/dia.desktop \
	   debian/$(PACKAGE)/usr/share/applications/dia-common.desktop

	rm -rf debian/$(PACKAGE)/usr/share/oaf
	rm -rf debian/$(PACKAGE)/usr/share/doc/dia/xml
	cp app/dia-gnome debian/$(PACKAGE)/usr/bin/
	#cp *.xpm debian/$(PACKAGE)/usr/share/pixmaps
	mkdir -p debian/$(PACKAGE)/usr/share/pixmaps
	cp debian/*.xpm debian/$(PACKAGE)/usr/share/pixmaps

	dh_movefiles --sourcedir=debian/$(PACKAGE)
	rmdir debian/$(PACKAGE)/usr/bin
	rm -rf debian/$(PACKAGE)/usr/share/man
	rm -rf debian/$(PACKAGE)/usr/lib
	rm -rf debian/$(PACKAGE)/usr/var
	rm -rf debian/$(PACKAGE)/usr/share/omf
	rm -rf debian/$(PACKAGE)/usr/share/doc/dia

	# XML DTD registration:
	#mkdir -p debian/$(PACKAGE)/usr/share/xml/schema/dia
	#cp -a doc/*.dtd debian/$(PACKAGE)/usr/share/xml/schema/dia

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i NEWS README TODO AUTHORS
	dh_installexamples -i -pdia-common samples/*.dia
	dh_installmenu -i
	dh_installmime -i
	dh_lintian -i
	dh_installchangelogs -i ChangeLog
	dh_pysupport -i /usr/share/dia
	dh_gconf -i
	dh_strip -i
	dh_compress -i -X.dia
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installmime -a
	dh_lintian -a
	dh_installchangelogs -a
	dh_pysupport -a /usr/lib/dia
	dh_gconf -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3

ftp://ftp.gnome.org/pub/gnome/sources/dia/([\d\.]+)/dia-(.+)\.tar\.bz2

## dia 0.97.2

=== debian/changelog ===
dia (0.97.2-15ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use dh-autoreconf to update config.guess|sub

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 10 Jan 2014 00:04:29 +0530

dia (0.97.2-15) unstable; urgency=medium

  * Fix build with changed freetype headers (Closes: #733360)
  * Standards-Version: 3.9.5

 -- Roland Stigge <stigge@antcom.de>  Thu, 02 Jan 2014 21:00:42 +0100

dia (0.97.2-14ubuntu2) trusty; urgency=low

  * Use new FreeType header location, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 30 Dec 2013 15:22:21 -0500

dia (0.97.2-14ubuntu1) trusty; urgency=low

  * Merge from debian, remaining changes:
    - Use dh-autoreconf to update config.guess|sub

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 01 Nov 2013 22:26:54 +0000

dia (0.97.2-14) unstable; urgency=low

  * debian/rules: Added -i to autoreconf to fix FTBFS (Closes: #723796)

 -- Roland Stigge <stigge@antcom.de>  Wed, 16 Oct 2013 21:58:56 +0200

dia (0.97.2-13ubuntu1) saucy; urgency=low

  * Use dh-autoreconf to update config.guess|sub

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 14 Oct 2013 01:22:41 +0100

dia (0.97.2-13) unstable; urgency=low

  * Fix translation bug in fr.po (Closes: #709891)
  * Add Recommends: dia-shapes to dia and dia-gnome (Closes: #710869)

 -- Roland Stigge <stigge@antcom.de>  Mon, 03 Jun 2013 22:43:18 +0200

dia (0.97.2-12) unstable; urgency=low

  * Menu file starts central /usr/bin/dia (as chosen by alternatives)
    (Closes: #689293)

 -- Roland Stigge <stigge@antcom.de>  Thu, 16 May 2013 21:18:30 +0200

dia (0.97.2-11) unstable; urgency=low

  * Uploading to unstable (Closes: #708352)

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 May 2013 20:58:19 +0200

dia (0.97.2-10) experimental; urgency=low

  * Fix FTBFS with multiarch python, thanks to Ahmed Elmahmoudy
    (Closes: #704990)

 -- Roland Stigge <stigge@antcom.de>  Mon, 08 Apr 2013 20:37:12 +0200

dia (0.97.2-9) experimental; urgency=low

  * Fix crash due to new glib, patch from upstream git (Closes: #704646)
  * debian/control: Standards-Version: 3.9.4

 -- Roland Stigge <stigge@antcom.de>  Thu, 04 Apr 2013 11:39:32 +0200

dia (0.97.2-8) unstable; urgency=low

  * Fixed pre/post rm/inst regarding update-alternatives (Closes: #668446)

 -- Roland Stigge <stigge@antcom.de>  Fri, 13 Apr 2012 23:47:21 +0200

dia (0.97.2-7) unstable; urgency=low

  * Added patch to fix FTBFS with new glib 2.32 in shape_typeinfo.c
    (Closes: #665521)

 -- Roland Stigge <stigge@antcom.de>  Sat, 24 Mar 2012 22:12:03 +0100

dia (0.97.2-6) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.3
    - Build-Depends: debhelper (>= 9), to reflect debian/compat, since
      debhelper 9 is released now

 -- Roland Stigge <stigge@antcom.de>  Thu, 15 Mar 2012 21:43:15 +0100

dia (0.97.2-5) unstable; urgency=low

  * Fix architecture-dependent only builds (Closes: #655121)

 -- Roland Stigge <stigge@antcom.de>  Mon, 09 Jan 2012 21:48:42 +0100

dia (0.97.2-4) unstable; urgency=low

  * Use dh_python2 instead of dh_pysupport (Closes: #654611)
    - debian/compat: 9 (eliminate automatic usage of dh_pysupport)
  * Documented integrated version of Dia by default in Debian
  * Removing /etc from dia-common, left by dh_installxmlcatalogs, see #611418
  * Removed additional shapes and sheets from dia-shapes for upcoming separate
    dia-shapes package (was present only in 0.97.2-3)

 -- Roland Stigge <stigge@antcom.de>  Fri, 06 Jan 2012 15:46:38 +0100

dia (0.97.2-3) unstable; urgency=low

  * Documented pstricks-tex and pgf-tex formats in man page
    (Closes: #527607)
  * Added GenericName to desktop file (Closes: #641709)
  * Remove backup files after successful file saving to prevent directory
    cluttering with old files (Closes: #173650)
  * Added shapes from http://dia-installer.de/shapes (diashapes)
    (Closes: #594475)
  * Installing DTDs and registering in XML catalog (Closes: #183728)
  * Adding "--integrated" version via wrapper scripts and alternatives
    for dia-normal and dia-gnome (Closes: #653682)
  * Adding patch to redirect diagnostics and errors to stderr to
    keep stdout free for piping output (Closes: #328904)
    (e.g. "dia -t png -e /dev/stdout ...")

 -- Roland Stigge <stigge@antcom.de>  Sat, 31 Dec 2011 14:11:57 +0100

dia (0.97.2-2) unstable; urgency=low

  * debian/rules: New dh style rules
  * debian/watch: Adjustment to new extensions (including .xz)
  * Removed gconf dependency (Closes: #479138)
  * Added patch for freedesktop.org thumbnailer for future upstream
    integration, thanks to Martin Stigge (Closes: #653469)

 -- Roland Stigge <stigge@antcom.de>  Sat, 24 Dec 2011 23:06:31 +0100

dia (0.97.2-1) unstable; urgency=low

  * New upstream release
  * Removed patches (fixed upstream):
    - fix-localmodlibs.patch
    - fig-linewidth-threshold.patch
    - libpng15.patch

 -- Roland Stigge <stigge@antcom.de>  Fri, 23 Dec 2011 19:53:09 +0100

dia (0.97.1-10) unstable; urgency=low

  * Added patch to support libpng 1.5 (fix FTBFS w/ new libpng),
    thanks Nobuhiro Iwamatsu (Closes: #649553)

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Nov 2011 20:10:25 +0100

dia (0.97.1-9) unstable; urgency=low

  * Remove ltmain.sh on debian/rules clean (Closes: #625661)
  * Standards-Version: 3.9.2

 -- Roland Stigge <stigge@antcom.de>  Thu, 05 May 2011 09:56:14 +0200

dia (0.97.1-8) unstable; urgency=low

  * Removed *.la files from dia-libs (Closes: #621183)

 -- Roland Stigge <stigge@antcom.de>  Thu, 07 Apr 2011 20:44:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: dia
 Section: graphics
 Priority: optional
-Maintainer: Debian Dia Team <pkg-dia-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Dia Team <pkg-dia-team@lists.alioth.debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>, Wolfgang Borgert <debacle@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7), libgnome2-dev, libglib2.0-dev, libgtk2.0-dev, libxml2-dev, libpopt-dev, libpng12-dev, libart-2.0-dev, libfreetype6-dev, libpango1.0-dev, libgnomeui-dev, libxslt1-dev, python-dev, python-gtk2, xsltproc, libxml-parser-perl, python-support (>= 0.4), intltool, automake, autoconf, texlive-lang-cyrillic, libtool, docbook-xsl, docbook-xml
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), libgnome2-dev, libglib2.0-dev, libgtk2.0-dev, libxml2-dev, libpopt-dev, libpng-dev, libart-2.0-dev, libfreetype6-dev, libpango1.0-dev, libgnomeui-dev, libxslt1-dev, python-dev, python-gtk2, xsltproc, libxml-parser-perl, intltool, automake, autoconf, texlive-lang-cyrillic, libtool, docbook-xsl, docbook-xml, xml-core, dh-autoreconf
 Build-Conflicts: autoconf2.13
 Homepage: http://live.gnome.org/Dia
 
@@ -39,7 +40,7 @@
 Package: dia
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dia-common (=${source:Version}), dia-libs (=${binary:Version})
-Recommends: gsfonts-x11
+Recommends: gsfonts-x11, dia-shapes
 Description: Diagram editor
  Dia is an editor for diagrams, graphs, charts etc. There is support for UML
  static structure diagrams (class diagrams), Entity-Relationship diagrams,
@@ -49,7 +50,7 @@
 Package: dia-gnome
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dia-common (=${source:Version}), dia-libs (=${binary:Version})
-Recommends: gsfonts-x11
+Recommends: gsfonts-x11, dia-shapes
 Section: gnome
 Description: Diagram editor (GNOME version)
  Dia is an editor for diagrams, graphs, charts etc. There is support for UML

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CONFIGURE_OPTIONS=--with-python --with-cairo

%:
	dh $@ --with python2,autoreconf

override_dh_auto_configure:
	dh_auto_configure -Bdia -- $(CONFIGURE_OPTIONS) --with-hardbooks
	dh_auto_configure -Bdia-gnome -- $(CONFIGURE_OPTIONS) --enable-gnome

override_dh_auto_build:
	# docbook-xsl source for referenced pngs
	ln -s /usr/share/xml/docbook/stylesheet/docbook-xsl doc/html
	
	dh_auto_build -Bdia
	dh_auto_build -Bdia-gnome

override_dh_auto_install:
	dh_auto_install -Bdia
	install -D debian/tmp/usr/bin/dia debian/dia/usr/bin/dia-normal
	install -D dia-gnome/app/.libs/dia debian/dia-gnome/usr/bin/dia-gnome
	$(MAKE) -C dia/doc install-html DESTDIR=$(CURDIR)/debian/dia-common
	# remove links in doc dir: en, fr, pl, eu
	rm debian/tmp/usr/share/doc/dia/html/en/en
	rm debian/tmp/usr/share/doc/dia/html/fr/fr
	rm debian/tmp/usr/share/doc/dia/html/eu/eu
	rm debian/tmp/usr/share/doc/dia/html/pl/pl
	
override_dh_auto_clean:
	dh_auto_clean
	-find . -name 'Makefile.in' | xargs rm -f
	-rm -rf dia dia-gnome

override_dh_compress:
	dh_compress -X.dia -X.pdf
	
override_dh_installcatalogs:
	dh_installcatalogs
	# Workaround as long as dh_installxmlcatalogs is not integrated in dh (#575770)
	dh_installxmlcatalogs
	# Workaround for #611418 leaving /etc/xml around
	rm -rf debian/dia-common/etc

=== debian/watch ===
version=3

ftp://ftp.gnome.org/pub/gnome/sources/dia/([\d\.]+)/dia-(.+)\.tar\..+

## dia 0.97.3

=== debian/changelog ===
dia (0.97.3-1) unstable; urgency=medium

  * New upstream release
  * Fix crash on amd64, thanks to Sander Brandenburg
    <sander.brandenburg@gmail.com> (Closes: #758166)

 -- Roland Stigge <stigge@antcom.de>  Sun, 07 Sep 2014 11:20:09 +0200

dia (0.97.2-16) unstable; urgency=medium

  * Add patch to work around pango library bug, thanks to
    Octavio Alvarez <alvarezp@alvarezp.com>, (Closes: #714296, #737770)

 -- Roland Stigge <stigge@antcom.de>  Fri, 05 Sep 2014 07:30:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: dia
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Dia Team <pkg-dia-team@lists.alioth.debian.org>
+Maintainer: Debian Dia Team <pkg-dia-team@lists.alioth.debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>, Wolfgang Borgert <debacle@debian.org>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), libgnome2-dev, libglib2.0-dev, libgtk2.0-dev, libxml2-dev, libpopt-dev, libpng-dev, libart-2.0-dev, libfreetype6-dev, libpango1.0-dev, libgnomeui-dev, libxslt1-dev, python-dev, python-gtk2, xsltproc, libxml-parser-perl, intltool, automake, autoconf, texlive-lang-cyrillic, libtool, docbook-xsl, docbook-xml, xml-core, dh-autoreconf
+Build-Depends: debhelper (>= 9), libgnome2-dev, libglib2.0-dev, libgtk2.0-dev, libxml2-dev, libpopt-dev, libpng-dev, libart-2.0-dev, libfreetype6-dev, libpango1.0-dev, libgnomeui-dev, libxslt1-dev, python-dev, python-gtk2, xsltproc, libxml-parser-perl, intltool, automake, autoconf, texlive-lang-cyrillic, libtool, docbook-xsl, docbook-xml, xml-core
 Build-Conflicts: autoconf2.13
 Homepage: http://live.gnome.org/Dia

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,11 @@
 CONFIGURE_OPTIONS=--with-python --with-cairo
 
 %:
-	dh $@ --with python2,autoreconf
+	dh $@ --with python2
 
 override_dh_auto_configure:
+	libtoolize --copy --force
+	autoreconf -fi
 	dh_auto_configure -Bdia -- $(CONFIGURE_OPTIONS) --with-hardbooks
 	dh_auto_configure -Bdia-gnome -- $(CONFIGURE_OPTIONS) --enable-gnome

## dia 0.97.3+git20160930

=== debian/changelog ===
dia (0.97.3+git20160930-9) unstable; urgency=medium

  * New maintainer.
  * Disable use of xml_config. Now we use pkg_config. (Closes: #949097).
  * debian/rules: remove unnecessary dh argument
  * debian/control:
    - remove obsolete VCS URLs (anonscm no longer exists,
      we should create a VCS on salsa).
    - Standards-Version: 4.5.0.

 -- Rodrigo Carvalho <rodrigorsdc@gmail.com>  Fri, 14 Feb 2020 01:04:47 +0000

dia (0.97.3+git20160930-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable python(2) bindings (Closes: #943016, #885271)
    - drop dh-python, python-dev and python-gtk2 build-dependencies
    - drop --with python2 and --with-python from debian/rules
    - drop python:Depends variable in debian/control
  * add debian/NEWS entry about python disabled and mention dia flatpak.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Oct 2019 09:23:46 +0200

dia (0.97.3+git20160930-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Detect freetype via pkg-config":
    add patch taken from upstream pull request at
    https://gitlab.gnome.org/GNOME/dia/merge_requests/1
    (Closes: #887602)

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Dec 2018 16:02:28 +0100

dia (0.97.3+git20160930-8) unstable; urgency=medium

  * New maintainer (closes: #838537)
  * debian/control: Bumped Standards-Version to 4.1.3
  * debian/control: Bumped debhelper to 10
  * debian/patches: Added a patch to fix typos
  * debian/rules: Remove empty directories
  * debian/rules: Added extra flags

 -- siqueira <siqueira@ime.usp.br>  Wed, 14 Feb 2018 11:15:39 -0200

dia (0.97.3+git20160930-7) unstable; urgency=medium

  * QA upload.
  * Remove the transitional packages dia-libs and dia-gnome.

 -- Adrian Bunk <bunk@debian.org>  Sat, 14 Oct 2017 22:31:08 +0300

dia (0.97.3+git20160930-6) unstable; urgency=medium

  * QA upload.
  * Unbreak arc lines by dropping fix-invalid-arc-crash-on-amd64.patch
    The applied patch was incorrect. First it did not take into account
    the fact that the value can be negative. And then a value of zero
    is valid, it just means a straight line. I can no longer reproduce
    the crash with such a value. Thus I drop the patch.
    Closes: #788727, #860171

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 23 May 2017 16:52:27 +0200

dia (0.97.3+git20160930-5) unstable; urgency=medium

  * QA upload.
  * dia.preinst: Clean up old alternatives.  (Closes: #840843)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Dec 2016 18:31:00 +0100

dia (0.97.3+git20160930-4) unstable; urgency=medium

  * QA upload.
  * Rebuild with xml-core >= 0.17 to fix generated versioned dependency on it.
    See #841425.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Nov 2016 22:51:43 +0000

dia (0.97.3+git20160930-3) unstable; urgency=medium

  * QA upload, see #838537.
  * Add breaks/replaces dia-libs (<< 0.97.3+git20160904-1~) in dia, to ensure
    proper update. (Closes: #841508)
  * Remove old dia conflicts/replaces in dia-common, since that split was done
    16 years ago.
  * Tighten the dia dependency in the transitional dia-libs and dia-gnome.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Oct 2016 07:43:23 +0200

dia (0.97.3+git20160930-2) unstable; urgency=medium

  * QA upload, see #838537.
  * Drop menu file and its pixmap, since dia already provides a .desktop file.
  * Remove self-recursive symlink also in German (de) documentation.
  * Use dh_auto_configure instead of invoking configure manually, so we get
    all the standard Debian flags for autotools
    - adjust the path of plugins in dia.install, since the libdir is now in
      a multi-arch location
  * Drop patch fix-missing-pango-header.patch, already applied upstream.
  * Install /usr/bin/dia using dia.install, instead of copying it manually.
  * Drop debian/source/include-binaries, since it refers to files provided by
    the dia-shapes sources (and not this one).
  * Enable parallel build
    - disable parallel for dh_auto_install, as the build system does not
      handle properly when documentation directories are created in a
      different order
  * Explicitly add the dh-python build dependency, as the python2 dh addon is
    used.
  * Add the texlive-lang-french and texlive-lang-german build dependencies, so
    the French and German PDFs can be properly generated.
  * Remove obsoleted lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Oct 2016 11:16:33 +0200

dia (0.97.3+git20160930-1) unstable; urgency=medium

  * QA upload, see #838537.
  * New git snapshot, adds Kazakh translation.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 08 Oct 2016 00:19:33 +0000

dia (0.97.3+git20160904-2) unstable; urgency=medium

  * QA upload, see #838537.
  * Add dblatex build dep.
  * Fix Vcs fields.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 23 Sep 2016 07:14:46 +0000

dia (0.97.3+git20160904-1) unstable; urgency=low

  * QA upload, see #838537.
  * New git snapshot.
  * Moved Debian development to collab-maint git.
  * New standards version, no changes.
  * Package simplification: Removed dia-gnome and dia-libs.
  * Remove "normal" and "integrated" variants.
    Use "--classic" for the old "normal" variant.
  * Machine readable debian/copyright.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 22 Sep 2016 22:14:46 +0000

=== debian/control ===
Source: dia
Section: graphics
Priority: optional
Maintainer: Rodrigo Carvalho <rodrigorsdc@gmail.com>
Standards-Version: 4.5.0
Build-Depends: autoconf,
	automake,
	dblatex,
	debhelper (>= 10),
	docbook-xml,
	docbook-xsl,
	intltool,
	libart-2.0-dev,
	libfreetype6-dev,
	libglib2.0-dev,
	libgtk2.0-dev,
	libpango1.0-dev,
	libpng-dev,
	libpopt-dev,
	libtool,
	libxml-parser-perl,
	libxml2-dev,
	libxslt1-dev,
	texlive-lang-cyrillic,
	texlive-lang-french,
	texlive-lang-german,
	xml-core,
	xsltproc
Build-Conflicts: autoconf2.13,
	dia-shapes
Homepage: https://wiki.gnome.org/Apps/Dia/

Package: dia-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dia
Description: Diagram editor (common files)
 Dia is an editor for diagrams, graphs, charts etc. There is support for UML
 static structure diagrams (class diagrams), Entity-Relationship diagrams,
 network diagrams and much more. Diagrams can be exported to postscript and
 many other formats.
 .
 This package contains the architecture independent files.

Package: dia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dia-common (=${source:Version})
Recommends: gsfonts-x11, dia-shapes
Breaks: dia-libs (<< 0.97.3+git20160904-1~)
Replaces: dia-libs (<< 0.97.3+git20160904-1~)
Description: Diagram editor
 Dia is an editor for diagrams, graphs, charts etc. There is support for UML
 static structure diagrams (class diagrams), Entity-Relationship diagrams,
 network diagrams and much more. Diagrams can be exported to postscript and
 many other formats.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1

%:
	dh $@

override_dh_auto_configure:
	libtoolize --copy --force
	autoreconf -fi
	intltoolize
	dh_auto_configure -- --with-cairo --with-hardbooks

override_dh_auto_build:
	# docbook-xsl source for referenced pngs
	ln -s /usr/share/xml/docbook/stylesheet/docbook-xsl doc/html
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --no-parallel
	$(MAKE) -C doc install-html DESTDIR=$(CURDIR)/debian/dia-common
	# remove links in doc dir: en, fr, pl, eu, de
	rm debian/tmp/usr/share/doc/dia/html/en/en
	rm debian/tmp/usr/share/doc/dia/html/fr/fr
	rm debian/tmp/usr/share/doc/dia/html/eu/eu
	rm debian/tmp/usr/share/doc/dia/html/pl/pl
	rm debian/tmp/usr/share/doc/dia/html/de/de
	rm -rf debian/tmp/usr/share/doc/dia/en/examples/
	rm -rf debian/tmp/usr/share/doc/dia/eu/examples/
	rm -rf debian/tmp/usr/share/doc/dia/fr/examples/
	rm -rf debian/tmp/usr/share/doc/dia/pl/examples/

override_dh_auto_clean:
	dh_auto_clean
	-find . -name 'Makefile.in' | xargs rm -f

override_dh_compress:
	dh_compress -X.dia -X.pdf

override_dh_installcatalogs:
	dh_installcatalogs
	# Workaround as long as dh_installxmlcatalogs is not integrated in dh (#575770)
	dh_installxmlcatalogs
	# Workaround for #611418 leaving /etc/xml around
	rm -rf debian/dia-common/etc

## dia 0.97.3+git20220525

=== debian/changelog ===
dia (0.97.3+git20220525-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/dia.lintian-overrides on line 2.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact,
    Repository-Browse.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Philippe SWARTVAGHER ]
  * Add patch for Poppler 22.09. Thanks to Nathan Pratta Teodosio
    <nathan.teodosio@canonical.com> Closes: #1026093
    - Remove wrong Origin in d/patches/poppler2206.patch
  * Bump Standards-Version to 4.6.2: no change needed

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Wed, 11 Jan 2023 19:15:46 +0100

dia (0.97.3+git20220525-4) unstable; urgency=medium

  * control: recommends fonts-urw-base35 instead of removed gsfonts-x11.
    Closes: #1020354

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Tue, 20 Sep 2022 21:36:34 +0200

dia (0.97.3+git20220525-3) unstable; urgency=medium

  * Add patch for Poppler 22.06. Thanks to Jeremy Bicha
    <jeremy.bicha@canonical.com> Closes: #1017025 LP: #1980402

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Tue, 16 Aug 2022 17:02:15 +0200

dia (0.97.3+git20220525-2) unstable; urgency=medium

  [ Bastian German ]
  * Do not build with libemf on architectures where it is unavailable

  [ Philippe SWARTVAGHER ]
  * Remove dia-shapes as a build-conflict. Closes: #900681
    See https://gitlab.gnome.org/GNOME/dia/-/merge_requests/12
  * Remove libgtk2.0-dev runtime dependency, gir1.2-gtk-2.0 is enough.
    Closes: #1012180

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Wed, 01 Jun 2022 20:34:04 +0200

dia (0.97.3+git20220525-1) unstable; urgency=medium

  [ Philippe SWARTVAGHER ]
  * Use gbp to manage the source package

  [ Nicolas Boulenguez ]
  * Move desktop file from dia-common to dia
  * Remove obsolete debian/*.dirs
  * control: explicit Rules-Requires-Root
  * copyright: HTTPS URL for copyright format
  * copyright: embed full GFDL-1.1
  * rules: remove explicit --as-needed
  * rules: include buildflags.mk
  * remove shlibs:Depends for dia-common

  [ arriott NZ ]
  * mime: stop quoting %s placeholder. Closes: #987402

  [ Nicolas Boulenguez ]
  * Switch to debhelper 13
  * rules: trivial optimisation
  * rules: only create the docbook symlink once
  * Style: format and order some debhelper files

  [ Philippe SWARTVAGHER ]
  * clean: do not let dh_clean remove INSTALL
  * control: new maintainer (Closes: #982055)
  * control: add Vcs-* fields
  * watch: update URL
  * control: Bumped Standards-Version to 4.6.1
  * New upstream snapshot
    - Adapt packaging to the new Meson build system
    - Closes: #885800, #936393, #905233, #492396, #945876
    - Drop fix-libxml2-config.patch: not required anymore
    - Adapt fix-doc.patch
    - Adapt fix-helpdir.patch
    - Drop fix-psdoc.patch: not required anymore
    - Drop fix-makefile.patch: not required anymore
    - Drop add-thumbnailer.patch: fixed upstream in
      9ff6f043c511f5cc0225e7903e72d9c48d979c40
    - Adapt remove-backup-files.patch
    - Drop errors-to-stderr.patch: fixed upstream in
      a67db4890f859a660d88263102bd1f47d2c8cdba
    - Drop fix-cast-warnings.patch: fixed upstream in
      69c0d45c50c3bda8388e4a044c06114f6c75dacb and
      2c96a9401c73c42b8875b777e93c6946232385ab
    - Drop fix-fr-po.patch: fixed upstream in
      7659c9a4bee1a77ffc2a858fe940e4f4aaf1c014
    - Drop fix-code-messages-typo.patch: fixed upstream in
      b76cc87fad7f53a6a548a2ec870abb5fbd1c089d
    - Drop freetype.patch: freetype dependency was removed upstream in
      d2ccbfb0344d3c23719fcb9661e2623830a0142d
    - Add fix-libdia-instal-dir.patch
    - Add use-local-dbman.patch
  * Fix some lintian issues

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 29 May 2022 20:02:52 +0200

=== debian/control ===
Source: dia
Section: graphics
Priority: optional
Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
    meson,
    libglib2.0-dev,
    libgtk2.0-dev,
    libgraphene-1.0-dev,
    cmake,
    libxml2-dev,
    libpython3-dev,
    libpoppler-dev (>= 22.09),
    libemf-dev [!mipsel !mips64el],
    dblatex,
    appstream-util,
    libpoppler-private-dev (>= 22.09),
    xsltproc,
    docbook-xsl,
    desktop-file-utils,
Homepage: https://wiki.gnome.org/Apps/Dia/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/dia
Vcs-Git: https://salsa.debian.org/debian/dia.git -b debian/master

Package: dia-common
Architecture: all
Depends: ${misc:Depends}, python3:any
Recommends: dia
Description: Diagram editor (common files)
 Dia is an editor for diagrams, graphs, charts etc. There is support for UML
 static structure diagrams (class diagrams), Entity-Relationship diagrams,
 network diagrams and much more. Diagrams can be exported to postscript and
 many other formats.
 .
 This package contains the architecture independent files.

Package: dia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
    dia-common (=${source:Version}),
    gir1.2-gtk-2.0
Recommends: fonts-urw-base35, dia-shapes
# usr/share/applications/dia.desktop has moved from dia-common to dia:
Breaks: dia-libs (<< 0.97.3+git20160904-1~),
        dia-common (<< 0.97.3+git20160930-10~),
Replaces: dia-libs (<< 0.97.3+git20160904-1~),
          dia-common (<< 0.97.3+git20160930-10~),
Description: Diagram editor
 Dia is an editor for diagrams, graphs, charts etc. There is support for UML
 static structure diagrams (class diagrams), Entity-Relationship diagrams,
 network diagrams and much more. Diagrams can be exported to postscript and
 many other formats.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --no-parallel $@ # Parallel builds may cause build error

override_dh_auto_install:
	dh_auto_install
	chmod a-x debian/tmp/usr/share/dia/shapes/Civil/civil_aerator.shape

## dia 0.97.4

=== debian/changelog ===
dia (0.97.4-1+security) unstable; urgency=medium

  * update

 -- Rodrigo Siqueira <siqueira@ime.usp.br>  Tue, 29 Jun 2021 14:45:07 +0800

## dia 0.98%2Bgit20240130

=== debian/changelog ===
dia (0.98+git20240130-1) unstable; urgency=medium

  * New upstream snapshot
    - Closes: #1024834, #1025239, #1020531
    - Drop poppler*.patch: applied upstream
    - Adapt fix-libdia-install-dir.patch
    - control: add libpoppler-cpp-dev to Build-Depends
    - control: adapt to use GTK3 instead of GTK2 Closes: #967312
  * rules: remove --no-parallel option
  * rules: add FORCE_SOURCE_DATE=1 to have reproducible PDF
  * copyright: update copyright year

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 18 Feb 2024 19:46:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Build-Depends: debhelper-compat (= 13),
     meson,
     libglib2.0-dev,
-    libgtk2.0-dev,
+    libgtk-3-dev,
     libgraphene-1.0-dev,
     cmake,
     libxml2-dev,
     libpython3-dev,
+    libpoppler-cpp-dev,
     libpoppler-dev (>= 22.09),
     libemf-dev [!mipsel !mips64el],
     dblatex,
@@ -40,7 +41,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
     dia-common (=${source:Version}),
-    gir1.2-gtk-2.0
+    gir1.2-gtk-3.0,
 Recommends: fonts-urw-base35, dia-shapes
 # usr/share/applications/dia.desktop has moved from dia-common to dia:
 Breaks: dia-libs (<< 0.97.3+git20160904-1~),

## dia 0.98%2Bgit20250126

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_EXPORT_BUILDFLAGS = 1

# Make reproducible PDF
# (PDF documentation contains \today macro)
export FORCE_SOURCE_DATE = 1

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	chmod a-x debian/tmp/usr/share/dia/shapes/Civil/civil_aerator.shape

## dia 0.98+git20240130

=== debian/changelog ===
dia (0.98+git20240130-1build4) noble; urgency=high

  * No change rebuild against libpython3.12t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:38:19 +0200

dia (0.98+git20240130-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:48:13 +0000

dia (0.98+git20240130-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:30:40 +0000

dia (0.98+git20240130-1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:09:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dia
 Section: graphics
 Priority: optional
-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
     meson,

=== debian/watch ===
version=4
https://download.gnome.org/sources/dia/([\d\.]+)/dia-(.+)\.tar\..+

## dia 0.98+git20240130-1build4trisquel1

=== debian/changelog ===
dia (0.98+git20240130-1build4trisquel1) ecne; urgency=medium

  * Apply MR 114 on GNOME to fix delay to open text properties

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Jun 2025 23:03:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dia
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),

## dia 0.98+git20240528

=== debian/changelog ===
dia (0.98+git20240528-1) unstable; urgency=medium

  * New upstream snapshot
  * Remove patches applied upstream and refresh use-local-dbman.patch
  * Fix lintian-overrides rule for library-not-linked-against-libc on all
    architectures
  * Add patch to keep using gdk_pixbuf_new_from_xpm_data()
  * Add patch to fix build with Poppler 24.06. Thanks to Andreas Hasenack!
    Closes: #1074385
  * Bump Standards-Version to 4.7.0: no change needed
  * Add patch to display correct application icon with Gnome Shell

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 25 Feb 2024 15:53:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: dia
 Section: graphics
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
-Standards-Version: 4.6.2
+Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
     meson,
     libglib2.0-dev,

## dia 0.98+git20240814

=== debian/changelog ===
dia (0.98+git20240814-1build2) plucky; urgency=medium

  * Rebuild against latest poppler

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 17 Jan 2025 14:14:50 -0500

dia (0.98+git20240814-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:01:32 +0100

dia (0.98+git20240814-1) unstable; urgency=medium

  * New upstream snapshot
    - Fix adding images to diagrams - Closes: #1078335
  * Remove patches applied upstream
  * Build-depend on libemf-dev only on available architectures
  * d/copyright: fix license of plug-ins/layout/ogdf-simple.*

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 01 Sep 2024 16:20:41 +0200
